import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 10.08.2008
  * @author Daniel Garmann
  */

public class MenschSpieler extends Spieler {

  // Anfang Attribute
  private JFrame owner;
  // Ende Attribute

  public MenschSpieler(JFrame owner)
  {
    this.owner = owner;
  }
  // Anfang Methoden
  public Zug spielzugMachen(Position position)
  {
     JTextField eingabe = new JTextField("0,0");
     Object[] message = new Object[2];
     message[0] = "Auf welches Feld setzen?";
     message[1] = eingabe;
     Zug zug;
     do {
       int state = JOptionPane.showConfirmDialog(owner,message,"Spielerzug",JOptionPane.OK_CANCEL_OPTION,JOptionPane.QUESTION_MESSAGE);
       if (state == JOptionPane.OK_OPTION) {
          String s[] = eingabe.getText().split(",");
          int x = Integer.parseInt(s[0]);
          int y = Integer.parseInt(s[1]);
          zug = new Zug(x,y);
       } else {
          zug = new Zug(-1,-1);
       }
     } while (!position.zulaessig(zug));
     
     return zug;
  }
  // Ende Methoden


}
