import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 10.08.2008
  * @author Daniel Garmann
  */

public class Spiel {

  private Position position;
  private Gui owner;
  private Spieler[] spieler = new Spieler[2];
  
  public Spiel(Gui owner)
  {
    this.owner = owner;
    position = new Position(1);
  }
  
  public Spiel(int startspieler, Gui owner)
  {
    this.owner = owner;

    spieler[0] = new MenschSpieler(owner);
    spieler[1] = new ComputerSpieler(owner,6);
    spieler[0] = new ComputerSpieler(owner,6);

    int[][] s = { {-1,-1,-1,-1,-1,-1},
                  {-1,-1,-1,-1,-1,-1},
                  {-1,-1, 0, 1,-1,-1},
                  {-1,-1, 1, 0,-1,-1},
                  {-1,-1,-1,-1,-1,-1},
                  {-1,-1,-1,-1,-1,-1}
                };
    position = new Position(startspieler,s);
    owner.ausgabe(position);

  }
  
  public void starten()
  {
//    ((ComputerSpieler)spieler[0]).test();
    Zug zug;
    while (!position.spielendeErreicht()) {
      do
        zug = spieler[position.amZug()].spielzugMachen(position);
      while (!position.zulaessig(zug));
      position.zugAusfuehren(zug);
      owner.ausgabe(position,zug);
    }
    owner.ausgabe(position);

//    if (position.augenSumme() < position.zielzahl())
//      JOptionPane.showConfirmDialog(owner,"Das Spiel endet Remis","Spielende",JOptionPane.OK_CANCEL_OPTION,JOptionPane.INFORMATION_MESSAGE);
//    else if (position.amZug() == 0) 
//      JOptionPane.showConfirmDialog(owner,"Spieler 1 gewinnt!","Spielende",JOptionPane.OK_CANCEL_OPTION,JOptionPane.INFORMATION_MESSAGE);
//    else
//      JOptionPane.showConfirmDialog(owner,"Spieler 0 gewinnt!","Spielende",JOptionPane.OK_CANCEL_OPTION,JOptionPane.INFORMATION_MESSAGE);
  }
  
}
